--- src/webkit/glue/user_agent.cc
+++ src/webkit/glue/user_agent.cc
@@ -106,6 +106,7 @@ void BuildUserAgent(bool mimic_chrome1,
   base::StringAppendF(
       result,
       "Mozilla/5.0 (%s%s) AppleWebKit/%d.%d"
-      " (KHTML, like Gecko) %s Safari/%d.%d",
+      " (KHTML, like Gecko) %s Safari/%d.%d"
+      " Vine/RPM_VERSION",
       mimic_windows ? "Windows " : kUserAgentPlatform,
       BuildOSCpuInfo().c_str(),
